<template>
    <v-content>
      <v-container
        class="fill-height"
        fluid
      >
        <v-row
          align="center"
          justify="center"
        >
          <v-col
            cols="12"
            sm="8"
            md="4"
          >
            <v-card class="elevation-12">
              <v-toolbar
                color="orange accent-4"
                dark
                flat
              >
                <v-toolbar-title>Register form</v-toolbar-title>
              </v-toolbar>
              <v-card-text>
                <v-form>
                  <v-text-field
                    label="Username"
                    name="Username"
                    type="text"
                    v-model="newUsername"
                  />

                  <v-text-field
                    label="Password"
                    name="password"
                    type="password"
                    v-model="newPassword"
                  />
                </v-form>
              </v-card-text>
              <v-card-actions>
                <v-spacer />
                <v-btn color="orange accent-4 white--text" @click="registerSubmit">Register</v-btn>
              </v-card-actions>
            </v-card>
          </v-col>
        </v-row>
      </v-container>
    </v-content>
</template>

<script>
export default {
layout: 'template',
data: {
    newUsername: '',
    newPassword: ''
},
mounted() {
  if(localStorage.newUsername) this.newUsername = localStorage.newUsername;
  if(localStorage.newPassword) this.newPassword = localStorage.newPassword;
},
methods: {
    registerSubmit() {
    //   if(this.newUsername == localStorage.newUsername && this.newPassword == localStorage.newPassword){
    //     alert('You can Login!!');
    //   }else{
    //     alert('Login Error!!');
    //   }
      localStorage.newUsername = this.newUsername;
      localStorage.newPassword = this.newPassword;
        alert('You can Register!!');
    }
  }
}
</script>

<style scoped>

</style>